Retrieve a list of ATS locations

List locations: Returns a paginated list of all locations associated with an organization in ATS. Use this to retrieve available work locations when creating job postings or filtering candidates by location. Scope: ats:read Token scopes: ats:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

cursorstringOptional
The cursor for pagination
limitintegerOptional1-100Defaults to 20
Maximum number of records returned in one response

Response

Successful response with locations data
datalist of objects
has_moreboolean
Indicates if there are more locations available
next_cursorstring or null
Cursor for pagination to get the next set of results
total_countinteger
Total number of locations available

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error